# $Revision: 1.5 $, $Date: 2003/08/18 08:09:40 $
Summary:	ISO-8859-6 encoding support for xpdf
Summary(pl):	Wsparcie kodowania ISO-8859-6 dla xpdf
Name:		xpdf-arabic
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}.tar.gz
# Source0-md5:	67f05f65bc64bf022b36138c7c26746d
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Arabic PDF files.

%description -l pl
Pakiety wspierajce jzyki Xpdf zawieraj pliki CMap, kodowania oraz
rne inne informacje konfiguracyjne niezbdne bd przydatne przy
okrelonych zestawach znakw. (Nie zawieraj adnych fontw).
Ten pakiet zawiera pliki potrzebne do uywania narzdzi Xpdf z
arabskimi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	ISO-8859-6	/usr/share/xpdf/ISO-8859-6.unicodeMap' >> /etc/xpdfrc
else
 if ! grep -q 'ISO-8859-6\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	ISO-8859-6	/usr/share/xpdf/ISO-8859-6.unicodeMap' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'ISO-8859-6\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	mv -f /etc/xpdfrc.new /etc/xpdfrc
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-arabic.spec,v $
Revision 1.5  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/07/31 08:38:07  gotar
- fixed %preun scripts,
- release++.

Revision 1.3  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/03/27 14:28:57  gotar
- initial PLD release
